// joi/10/juno/InterpreterInterface.java
//
//
// Copyright 2003 Bill Campbell and Ethan Bolker

/**
 * Juno needs an interpreter to process the user's response to 
 * the login: prompt (or what she enters on a GUILoginConsole).
 * 
 * Each Shell needs an interpreter for shell command lines, 
 * whether entered with a GUI or a CLI.
 *
 * @version 10
 */

public interface InterpreterInterface 
{
    /**
     * Interpret a command line String.
     *
     * @param str the String to interpret
     * @return true, unless str tells you there's nothing to follow
     */

    public boolean interpret( String str );
}
