// Example 3.3 joi/examples/BreakAndContinueDemo.java
//
//
// Copyright 2003 Bill Campbell and Ethan Bolker

public class BreakAndContinueDemo
{
    private static Terminal t = new Terminal();

    public static void main( String[] args ) 
    {
        t.println("invoking loop");
        BreakAndContinueDemo.loop();  // could say just loop();
        t.println("returned from loop, leaving main");
    }

    private static void loop()
    {
        t.println("starting infinite loop");
        while( true ) {
            String command = t.readWord(
                "normal, break, continue, return, exit, oops ? > ");
            if (command.startsWith("n")) {
                t.println("normal flow of control");
            }
            if (command.startsWith("b")) {
                t.println("break from looping");
                break;
            }
            if (command.startsWith("c")) {
                t.println("continue looping");
                continue;
            }
            if (command.startsWith("r")) {
                t.println("return prematurely from loop method");
                return;
            }
            if (command.startsWith("e")) {
                t.println("exit prematurely from program");
                System.exit(0);
            }
            if (command.startsWith("o")) {
                t.println("program about to crash ...");
                Terminal foo = null;
                foo.println("crash the program");
            }
            t.println("last line in loop body");
        } 
        t.println("first line after loop body");
        t.println("returning normally from loop method");
    }
}
