// Example 5.1 joi/examples/SwitchDemo.java  
//
//
// Copyright 2003 Bill Campbell and Ethan Bolker

// A class illustrating the Switch statement

// %> java SwitchDemo
// Enter an integer: 2
// two
// Notice the importance of the breaks!
// The same statement without the breaks:
// two
// three
// Not one, two or three!
// Enter a character: y
// yes
// %> 

public class SwitchDemo
{
    public static void main( String[] args ) 
    {
        Terminal terminal = new Terminal();
        
        int i = terminal.readInt( "Enter an integer: " );

        switch (i) {
        case 1:
            terminal.println( "one" );
            break;
        case 2:
            terminal.println( "two" );
            break;
        case 3:
            terminal.println( "three" );
            break;
        default: 
            terminal.println( "Not one, two or three!" );
        }
        
        terminal.println( "Notice the importance of the breaks!" );
        terminal.println( "The same statement without the breaks:" );

        switch (i) {
        case 1:
            terminal.println( "one" );
        case 2:
            terminal.println( "two" );
        case 3:
            terminal.println( "three" );
        default: 
            terminal.println( "Not one, two or three!" );
        }
        
        switch (terminal.readChar( "Enter a character: " )) {
        case 'y':
            terminal.println( "yes" );
            break;
        case 'n':
            terminal.println( "no" );
            break;
        default:
            terminal.println( "Neither yes nor no." );
        }
    }
}
