     1	// joi/7/bank/InsufficientFundsException.java
     2	//
     3	//
     4	// Copyright 2003 Bill Campbell and Ethan Bolker
     5	
     6	/**
     7	 * Thrown when there is an attempt to spend money that is not there.
     8	 *
     9	 * @version 7
    10	 */
    11	
    12	public class InsufficientFundsException extends Exception 
    13	{
    14	    /**
    15	     * Construct an InsufficientFundsException 
    16	     * with a String description.
    17	     *
    18	     * @param msg a more specific description.
    19	     */
    20	
    21	    public InsufficientFundsException( String msg ) 
    22	    {
    23		super( msg );
    24	    }
    25	
    26	    /** 
    27	     * Construct an InsufficientFundsException 
    28	     * with no description.
    29	     */
    30	
    31	    public InsufficientFundsException()
    32	    {
    33		this( "" );
    34	    }
    35	}
