// joi/10/juno/InputInterface.java
//
//
// Copyright 2003 Ethan Bolker and Bill Campbell

/**
 *  Juno consoles use the same abstract method 
 *  for input, so it is specified here. 
 */

public interface InputInterface 
{
   /**
    * Read a line (terminated by a newline).
    *
    * @param promptString output string to prompt for input
    * @return the string (without the newline character)
    */

   public String readLine( String promptString );
}

