// joi/2/arithmetic/IntArithmetic.java

//

//

// Copyright 2003 Bill Campbell and Ethan Bolker



/**

 * Interactive play with integer arithmetic in Java,

 * using a Terminal for input and output.

 */



public class IntArithmetic

{

    private static Terminal terminal = new Terminal();



    /**

     * main prompts for pairs of numbers to add and to divide

     * until the bored user decides to quit.

     */



    public static void main(String[] args)

    {

        while ( terminal.readYesOrNo( "Try int z = x + y ? " ) ) {

            tryIntegerAddition( );

        }

        while ( terminal.readYesOrNo( "Try int z = x / y ? " ) ) {

            tryIntegerDivision();

        }

    }



    // Prompt for two ints and add them.



    private static void tryIntegerAddition()

    {

        int x = terminal.readInt( "x = ");

        int y = terminal.readInt( "y = " );

        terminal.println( "z = " + (x+y) );

    }

    

    // Prompt for two ints and divide the first by

    // the second.



    private static void tryIntegerDivision()

    {

        int x = terminal.readInt( "x = ");

        int y = terminal.readInt( "y = " );

        terminal.println( "z = " + (x/y) );

    }

}

