// joi/3/shapes/DemoShapes.java
//
//
// Copyright 2003 Bill Campbell and Ethan Bolker

/**
 * A short demonstration program for HLine and Box.
 *
 * @version 3
 */

public class DemoShapes
{
    /**
     * Paint some shapes on a Screen and draw it to a Terminal.
     */

    public static void main( String[] args )
    {
        Terminal t = new Terminal();
        Screen   s = new Screen( 36, 12 );
        
        HLine h1 = new HLine( 10, 'R' );
        Box   b1 = new Box( 5, 6, 'G' );
        Box   b2 = new Box( 5, 6, 'B' );
        
        h1.paintOn( s ); // at position (0,0)
        b1.paintOn( s, 2, 2 );
        b2.paintOn( s, 4, 5 );

        t.println( "A Screen with an HLine and two Boxes:" );
        s.draw( t );
    }
}
