// Example 4.1 joi/examples/CommandLineArgsDemo.java  
//
//
// Copyright 2003 Bill Campbell and Ethan Bolker

// A class illustrating the use of command line arguments.
//
// %> java CommandLineArgsDemo foo      bar "b q"
// Echo command line arguments, 
// surrounded by |...| 
// |foo|
// |bar|
// |b q|
//
// Note the use of quotes to get embedded blanks.

public class CommandLineArgsDemo 
{
    public static void main( String[] args ) 
    {
        System.out.println("Echo command line arguments, ");
        System.out.println("surrounded by |...| ");
        for (int i = 0; i < args.length; i++) {
            System.out.println('|' + args[i] + '|');
        }
    }
}
