// Example 2.3 IfDemo.java
//
//
// Copyright 2003 Bill Campbell and Ethan Bolker


// A class illustrating the if-statement. A typical run:
//
// %> java IfDemo 
// Enter an integer: 0
// If 0 is negative, say hello:
// isNegative is false
// The integer 0 is zero
// Finally: 0 is still nonnegative
// because it's zero

public class IfDemo 
{
    public static void main( String[] args ) 
    {
        Terminal terminal = new Terminal();  // for input and output

        // Prompt for and read a single integer.
        int var = terminal.readInt( "Enter an integer: " );
        
        // simple if statement
        terminal.println( "If " + var + " is negative, say hello:" );
        if (var < 0) {
            terminal.println( "hello" );
        }

        // an if-else statement testing a boolean variable
        boolean isNegative = ( var < 0 );
        if (isNegative) {
            terminal.println( "isNegative is true" );
        }
        else {
            terminal.println( "isNegative is false" );
        } 

        // if-else-if statement
        terminal.print( "The integer " + var + " is ");
        if (var > 0) {
            terminal.println("positive");
        }
        else if (var < 0) {
            terminal.println( "negative" );
        }
        else { // just one case left!
            terminal.println( "zero" );
        }

        // finally, nested if-(if)-else: note the indenting
        terminal.print( "Finally: " + var + " is still ");
        if (var >= 0) {
            terminal.println("nonnegative");
            if (var == 0 ) {
                terminal.println("because it's zero ");
            }
        }
        else {
            terminal.println( "negative" );
        }
    }
}
