// Example 8.2 joi/examples/StringDemo.java  
//
//
// Copyright 2003 Bill Campbell and Ethan Bolker

// A class illustrating Strings 
// 
// %> java StringDemo
// certainly = "yes!"
// bankName = "Dewey, Cheatham and Howe"
// bankName.charAt( 0 ) = D
// bankName.charAt( 5 ) = ,
// bankName.indexOf('e') = 1
// bankName.indexOf('e', 6) = 9
// bankName.indexOf('x') = -1
// "cake".compareTo("care") = -7
// bankName.substring( 7, 12 ) = Cheat
// bankName.substring( 7 ) = Cheatham and Howe
// bankName.toUpperCase() = "DEWEY, CHEATHAM AND HOWE"
// bankName.replace('e', 'x') = "Dxwxy, Chxatham and Howx"
// bankName.concat("!") = "Dewey, Cheatham and Howe!"
// "  x y z \t\b".trim() = "x y z"
// %>

public class StringDemo 
{
    public static void main( String[] args ) 
    {
        Terminal t = new Terminal();

        String bankName = "Dewey, Cheatham and Howe";
        String alias = new String( bankName );
        char[] carray = {'y', 'e', 's', '!'};
        String certainly = new String(carray);
        
        t.println( "certainly = \"" + certainly + "\"" );

        t.println( "bankName = \"" + bankName + "\"" );
        t.println( "bankName.charAt( 0 ) = " + bankName.charAt( 0 ) );
        t.println( "bankName.charAt( 5 ) = " + bankName.charAt( 5 ) );

        t.println("bankName.indexOf('e') = " + bankName.indexOf('e'));
        t.println("bankName.indexOf('e', 6) = " + 
                  bankName.indexOf('e', 6));
        t.println("bankName.indexOf('x') = " + bankName.indexOf('x'));
        
        t.println( "\"cake\".compareTo(\"care\") = " +
                   "cake".compareTo("care") );

        t.println( "bankName.substring( 7, 12 ) = " +
                   bankName.substring( 7, 12 ) );
        t.println( "bankName.substring( 7 ) = " +
                   bankName.substring( 7 ) );

        t.println( "bankName.toUpperCase() = \"" +
                   bankName.toUpperCase() + "\"" );
        t.println( "bankName.replace('e', 'x') = \"" +
                   bankName.replace('e', 'x') + "\"" );
        t.println( "bankName.concat(\"!\") = \"" +
                   bankName.concat("!") + "\"" );
        t.println( "\"  x y z \\t\\b\".trim() = \"" +
                   "  x y z \t\b".trim() + "\"" );
    }
}
