     1	// joi/4/dictionary/Definition.java
     2	//
     3	//
     4	// Copyright 2003 Bill Campbell and Ethan Bolker
     5	
     6	/**
     7	 * Model the definition of a word in a dictionary.
     8	 *
     9	 * @see Dictionary
    10	 *
    11	 * @version 4
    12	 */
    13	
    14	public class Definition
    15	{
    16	    private String definition;    // the defining string
    17	    
    18	    /** 
    19	     * Construct a simple Definition.
    20	     *
    21	     * @param definition the definition.
    22	     */
    23	
    24	    public Definition( String definition )
    25	    {
    26		this.definition = definition;
    27	    }
    28	
    29	    /**
    30	     * Construct a String representation of this Definition.
    31	     *
    32	     * @return the definition string.
    33	     */
    34	    
    35	    public String toString()
    36	    {
    37		return definition;
    38	    }
    39	}
