     1	// joi/7/juno/BadShellCommandException.java
     2	//
     3	//
     4	// Copyright 2003 Ethan Bolker and Bill Campbell
     5	
     6	/**
     7	 * The Exception generated when a ShellCommand is misused.
     8	 *
     9	 * @version 7
    10	 */
    11	
    12	class BadShellCommandException extends JunoException 
    13	{
    14	    ShellCommand command;
    15	
    16	    /**
    17	     * Construct a new BadShellCommandException 
    18	     * containing the badly used command.
    19	     *
    20	     * @param the ShellCommand being misused.
    21	     */
    22	
    23	    public BadShellCommandException( ShellCommand command ) 
    24	    {
    25	        this.command = command;
    26	    }
    27	
    28	    /**
    29	     * Get the command.
    30	     */
    31	
    32	    public ShellCommand getCommand()
    33	    {
    34	        return command;
    35	    }
    36	}
